All Classes Files Functions Enumerations Enumerator Macros
qfi_ADI Class Reference

`#include <qfi_ADI.h>`

Inheritance diagram for qfi_ADI:

## Public Member Functions

| qfi_ADI (QWidget *parent=0)
virtual | ~qfi_ADI ()
void | reinit ()
void | update ()
void | setRoll (float roll)
void | setPitch (float pitch)

## Protected Member Functions

void | resizeEvent (QResizeEvent *event)

## Detailed Description

Attitude Director Indicator widget.

## Constructor & Destructor Documentation

qfi_ADI::qfi_ADI | ( | QWidget * | parent = `0` | ) |

Constructor.

qfi_ADI::~qfi_ADI | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

void qfi_ADI::reinit | ( |  | ) |

Reinitiates widget.

void qfi_ADI::resizeEvent | ( | QResizeEvent * | event | ) |

protected

void qfi_ADI::setPitch | ( | float | pitch | ) |

Parameters

  pitch | angle [deg]

void qfi_ADI::setRoll | ( | float | roll | ) |

Parameters

  roll | angle [deg]

void qfi_ADI::update | ( |  | ) |

Refreshes (redraws) widget.

The documentation for this class was generated from the following files:

- qfi_ADI.h
- qfi_ADI.cpp